<html>
<head>
  <title>Kapı Görüşme</title>
  <link rel="stylesheet" href="style.css">
  <meta charset="utf-8">
  <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests"> 
  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script>
  <script type="text/javascript" src="dist/peer.js"></script>
  <script>

    // Compatibility shim+
    navigator.getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia;

    function getQueryParams(parameterName) {
      var result = null,
          tmp = [];
      var items = location.search.substr(1).split("&");
      for (var index = 0; index < items.length; index++) {
          tmp = items[index].split("=");
          if (tmp[0] === parameterName) result = decodeURIComponent(tmp[1]);
      }
      return result;
    }

    var id = getQueryParams('id');
    var callid = getQueryParams('callid');
    // PeerJS object
    // var peer = new Peer({ key: 'dqkg29qz3fh6w29', debug: 3});
    var peer = new Peer(id,{host: '192.168.10.150', port: 9000, path: '/test'});

    peer.on('open', function(){
      $('#my-id').text(peer.id);
    });

    // Receiving a call
    peer.on('call', function(call){
      // Answer the call automatically (instead of prompting user) for demo purposes
      call.answer(window.localStream);
      step3(call);
    });
    peer.on('error', function(err){
      alert(err.message);
      // Return to step 2 if error occurs
      step2();
    });

    // Click handlers setup
    $(function(){
      $('#make-call').click(function(){
        // Initiate a call!
        var call = peer.call(callid, window.localStream);
        step3(call);
      });

      $('#end-call').click(function(){
        window.existingCall.close();
        step2();
      });

      // Retry if getUserMedia fails
      $('#step1-retry').click(function(){
        $('#step1-error').hide();
        step1();
      });

      // Get things started
      step1();
    });

    function step1 () {
      // Get audio/video stream
      navigator.getUserMedia({audio: true, video: false}, function(stream){
        // Set your video displays
        $('#my-video').prop('srcObject', stream);

        window.localStream = stream;
        step2();
      }, function(){ $('#step1-error').show(); });
    }

    function step2 () {
      $('#step1, #step3').hide();
      $('#step2').show();
    }

    function step3 (call) {
      // Hang up on an existing call if present
      if (window.existingCall) {
        window.existingCall.close();
      }

      // Wait for stream on the call, then set peer video display
      call.on('stream', function(stream){
        $('#their-video').prop('srcObject', stream);
      });

      // UI stuff
      window.existingCall = call;
      $('#their-id').text(call.peer);
      call.on('close', step2);
      $('#step1, #step2').hide();
      $('#step3').show();
    }

  </script>


</head>
<body>
   <center>
      <div class="pure-g">
         <!-- Steps -->    
         <div class="pure-u-1-3" id="container2">
            <h2>Sesli Görüşme</h2>
            <!-- Get local audio/video stream -->
            <div id="step1">
               <p>Lütfen Kamera ve Mikrofon Kullanımı için izin veriniz.</p>
               <div id="step1-error">
                  <p>Kamera - Mikrofon erişimi Reddedildi!</p>
                  <a href="#" class="pure-button pure-button-error" id="step1-retry">Tekrar Dene</a>
               </div>
            </div>
            <!-- Make calls to others -->
            <div id="step2" >
               <p>Id'niz: <span id="my-id">...</span></p>
               <h3>Arama Başat</h3>
               <div class="pure-form">
                  <input type="text" placeholder="Call user id..." id="callto-id" style="display: none;">
                  <a href="#" class="pure-button pure-button-success" id="make-call" style="width: 50%">Ara</a>
               </div>
            </div>
            <!-- Call in progress -->
            <div id="step3">
               <p>Şuanda görüşülen: <span id="their-id">...</span></p>
               <p><a href="#" class="pure-button pure-button-error" id="end-call">Sonlandır</a></p>
            </div>
         </div>
         <!-- Video area -->
         <div class="pure-u-2-3" id="video-container" class="respDiv" hidden="true">
            <video id="their-video" autoplay hidden="true"></video>
            <video id="my-video" muted="true" autoplay hidden="true"></video>
         </div>
      </div>
   </center>
</body>
</html>
